Your message dated Thu, 18 Mar 2010 21:48:17 +0000
with message-id <e1nsnzh-0002js...@ries.debian.org>
and subject line Bug#563992: fixed in kmymoney 3.96.1-1
has caused the Debian Bug report #563992,
regarding [kmymoney2] Crashes when opening file created by kmymoney 1.0.2
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
563992: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=563992
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: kmymoney2
Version: 3.95.0+svn1069391-2
Severity: important

The program just crashes when I open a file created by kmymoney 1.0.2. This
creates all my financial data useless.

Application: KMyMoney (kmymoney), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ffa790ad750 (LWP 23854))]

Thread 2 (Thread 0x7ffa6fb3e910 (LWP 23857)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at 
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x0000003282e6d477 in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib/libQtCore.so.4
#2  0x0000003282e632d1 in ?? () from /usr/lib/libQtCore.so.4
#3  0x0000003282e6c4a5 in ?? () from /usr/lib/libQtCore.so.4
#4  0x000000327d20673a in start_thread (arg=<value optimized out>) at 
pthread_create.c:300
#5  0x000000327c6cb6fd in clone () at 
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffa790ad750 (LWP 23854)):
[KCrash Handler]
#5  0x0000003292c17d29 in GpgME::Context::decrypt(GpgME::Data const&, 
GpgME::Data&) () from /usr/lib/libgpgme++-pthread.so.2
#6  0x00000000008f4496 in ?? ()
#7  0x00000000004cd627 in _start ()
The current source language is "auto; currently asm".
The current source language is "auto; currently c".


--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-trunk-amd64

Debian Release: squeeze/sid
  500 unstable        ftp.debian.org 

--- Package information. ---
Depends                             (Version) | Installed
=============================================-+-========================
kdebase-runtime                  (>= 4:4.3.0) | 4:4.3.4-2
kdelibs5                         (>= 4:4.3.4) | 4:4.3.4-1
kdepimlibs5                      (>= 4:4.3.4) | 4:4.3.4-1
libc6                              (>= 2.2.5) | 2.10.2-3
libgcc1                          (>= 1:4.1.1) | 1:4.4.2-8
libgpg-error0                      (>= 1.6-1) | 1.6-1
libgpgme11                         (>= 1.1.2) | 1.2.0-1.2
libical0                            (>= 0.30) | 0.44-1
libofx4                                       | 1:0.9.0-3
libqt4-dbus                      (>= 4:4.5.3) | 4:4.5.3-4
libqt4-network                   (>= 4:4.5.3) | 4:4.5.3-4
libqt4-qt3support                (>= 4:4.5.3) | 4:4.5.3-4
libqt4-sql                       (>= 4:4.5.3) | 4:4.5.3-4
libqt4-svg                       (>= 4:4.5.3) | 4:4.5.3-4
libqt4-xml                       (>= 4:4.5.3) | 4:4.5.3-4
libqtcore4                       (>= 4:4.5.3) | 4:4.5.3-4
libqtgui4                        (>= 4:4.5.3) | 4:4.5.3-4
libstdc++6                         (>= 4.4.0) | 4.4.2-8
zlib1g                           (>= 1:1.1.4) | 1:1.2.3.4.dfsg-3
kmymoney2-common      (= 3.95.0+svn1069391-2) | 3.95.0+svn1069391-2


Recommends                      (Version) | Installed
=========================================-+-===========
kmymoney2-plugin-aqbanking                | 1.0-1


Package's Suggests field is empty.






--- End Message ---
--- Begin Message ---
Source: kmymoney
Source-Version: 3.96.1-1

We believe that the bug you reported is fixed in the latest version of
kmymoney, which is due to be installed in the Debian FTP archive:

kmymoney-common_3.96.1-1_all.deb
  to main/k/kmymoney/kmymoney-common_3.96.1-1_all.deb
kmymoney-dev_3.96.1-1_amd64.deb
  to main/k/kmymoney/kmymoney-dev_3.96.1-1_amd64.deb
kmymoney2_3.96.1-1_all.deb
  to main/k/kmymoney/kmymoney2_3.96.1-1_all.deb
kmymoney_3.96.1-1.debian.tar.gz
  to main/k/kmymoney/kmymoney_3.96.1-1.debian.tar.gz
kmymoney_3.96.1-1.dsc
  to main/k/kmymoney/kmymoney_3.96.1-1.dsc
kmymoney_3.96.1-1_amd64.deb
  to main/k/kmymoney/kmymoney_3.96.1-1_amd64.deb
kmymoney_3.96.1.orig.tar.bz2
  to main/k/kmymoney/kmymoney_3.96.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <f...@debian.org> (supplier of updated kmymoney package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Mar 2010 16:15:31 +0100
Source: kmymoney
Binary: kmymoney kmymoney-common kmymoney-dev kmymoney2
Architecture: source amd64 all
Version: 3.96.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Fathi Boudra <f...@debian.org>
Description: 
 kmymoney   - personal finance manager for KDE
 kmymoney-common - KMyMoney architecture independent files
 kmymoney-dev - KMyMoney development files
 kmymoney2  - dummy transition package for squeeze
Closes: 563992 570626 573475 573488 574390
Changes: 
 kmymoney (3.96.1-1) unstable; urgency=low
 .
   * New upstream release:
     - Crashes related to encryption. (Closes: #563992, #570626)
 .
   [ Fathi Boudra ]
   * Switch to dpkg-source 3.0 (quilt) format.
   * Add 01_missing_perl_header.diff patch.
   * Update debian/control:
     - Add cmake and pkg-kde-tools build dependencies.
     - Remove chrpath, automake and libtool build dependencies.
     - Build depend on libboost-graph-dev instead of libboost-dev.
     - Bump build dependencies versions (debhelper, libaqbanking29-dev).
     - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
     - Conflicts/Replaces against version 3.96.0-1. (Closes: #573488, #573475)
     - Merge aqbanking plugin. Conflicts/Replaces as appropriate.
       (Closes: #574390)
   * Update debian/rules:
     - Enable parallel buildd (pass --parallel option to dh).
     - List missing files (pass --list-missing option to dh).
     - Use kde sequence addon (pass --with kde option to dh).
   * Update debian/kmymoney-common.install:
     - Add documentation.
   * Add debian/kmymoney.lintian-overrides:
     - Override package-name-doesnt-match-sonames lintian warning.
 .
   [ José Manuel Santamaría Lema ]
   * Update debian/watch.
   * Update debian/rules: update get-orig-source target.
   * Update debian/kmymoney.install: install kmymoney manpage.
Checksums-Sha1: 
 3507b2d40b96f79223342f35a7657cb7dbe9426f 1726 kmymoney_3.96.1-1.dsc
 5ccaa6248152dff7f99a46a859ac7799c26ee878 14659032 kmymoney_3.96.1.orig.tar.bz2
 4696fcbf2717e54dcf60543575c2c98d1a8bc56f 9166 kmymoney_3.96.1-1.debian.tar.gz
 e655f973120695f5e4c33dfe62d95fbb88229503 3859616 kmymoney_3.96.1-1_amd64.deb
 3dc15a5b66c48699d4e1c0b70d82e634ddf15a8f 12499714 
kmymoney-common_3.96.1-1_all.deb
 54e6cdcceeb7dff455d33debdc1375238af864a3 242818 kmymoney-dev_3.96.1-1_amd64.deb
 7368d173b6b562b1540f6cd052c38fc32cb2cef8 113508 kmymoney2_3.96.1-1_all.deb
Checksums-Sha256: 
 580d02a54b8feec936c7ef9effa3a2e66c200a50a1d6f24b0e5c55e0a08406e7 1726 
kmymoney_3.96.1-1.dsc
 941674fe4dca538e641c74975512fd3cde543dfecce0506a5b4df797da9fe40e 14659032 
kmymoney_3.96.1.orig.tar.bz2
 8cc92603c09e1cfc1221916fd25b0766bc089492ef7188cde15f64a1853e3347 9166 
kmymoney_3.96.1-1.debian.tar.gz
 78bf1a92afba56c5ded8218458eb5b6e52fa342686613cd763a9971cff444278 3859616 
kmymoney_3.96.1-1_amd64.deb
 ba9e648f3e5fed93c3ed52974d717a02b03a4f837d9a61354de50288ceb685f7 12499714 
kmymoney-common_3.96.1-1_all.deb
 8bd5b5ef5d855523a3c63106a4f564601f097ab577688f994312807844d90aac 242818 
kmymoney-dev_3.96.1-1_amd64.deb
 7dbdd0e4adae64da8f1707dcf79b74f3f4922146d289376775375288ec49a3fa 113508 
kmymoney2_3.96.1-1_all.deb
Files: 
 11d9b4d3c69f8c0874e8981a3e46e008 1726 kde optional kmymoney_3.96.1-1.dsc
 ef76bf37a6664c2b04a2dbef863713a0 14659032 kde optional 
kmymoney_3.96.1.orig.tar.bz2
 84fcad0e59768834c03f7c829394a9bd 9166 kde optional 
kmymoney_3.96.1-1.debian.tar.gz
 c28f49c53e1c9e9a2ee4c239d279a1bc 3859616 kde optional 
kmymoney_3.96.1-1_amd64.deb
 57d57347629a79770c71d5ad5ae83b5b 12499714 kde optional 
kmymoney-common_3.96.1-1_all.deb
 646b5beb428e7570a802cd9e08137ea2 242818 libdevel optional 
kmymoney-dev_3.96.1-1_amd64.deb
 c451742473be28c978b6ce4ed7d14167 113508 kde optional kmymoney2_3.96.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAkuihewACgkQjPU19mqlcveIsQP+PRTIXd6bdaz59WJBOFoy4XbO
j/goqKBXk3gU4jnJnfDHQ+Fd2ncuvXsyTrsqL4f/Kl+qz7tEKxYl/hMgmFU7q/Wx
2zM7U+nVvTL8TA8fv9IcuLum9VOFY3nUyqD3V4DSIGU5oVzO1nHO/A/B5yDmecAB
wnmdynQdOgp0OWsjLBY=
=lCb0
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to